Qt 5.11 | Qt GUI | C++ Classes | QPdfWriter

Qt 5.11.3 Reference Documentation

# Obsolete Members for QPdfWriter

The following members of class QPdfWriter are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` virtual void | setMargins(const QPagedPaintDevice::Margins &m) override
`(obsolete)` virtual void | setPageSize(QPagedPaintDevice::PageSize size) override
`(obsolete)` virtual void | setPageSizeMM(const QSizeF &size) override

## Member Function Documentation

### `[override virtual]` void QPdfWriter::setMargins(const QPagedPaintDevice::Margins &m)

Reimplemented from QPagedPaintDevice::setMargins().

See also setPageMargins().

### `[override virtual]` void QPdfWriter::setPageSize(QPagedPaintDevice::PageSize size)

Reimplemented from QPagedPaintDevice::setPageSize().

See also setPageSize().

### `[override virtual]` void QPdfWriter::setPageSizeMM(const QSizeF &size)

Reimplemented from QPagedPaintDevice::setPageSizeMM().

See also setPageSize().